cc.funkemunky.api.metrics

## Class Metrics.CustomChart

- java.lang.Object
- - cc.funkemunky.api.metrics.Metrics.CustomChart

Direct Known Subclasses:
  Metrics.AdvancedBarChart, Metrics.AdvancedPie, Metrics.DrilldownPie, Metrics.MultiLineChart, Metrics.SimpleBarChart, Metrics.SimplePie, Metrics.SingleLineChart

Enclosing class:
  Metrics

    public abstract static class Metrics.CustomChart
    extends java.lang.Object

Represents a custom chart.

### Method Summary

All Methods Instance Methods Abstract Methods
`protected abstract org.json.simple.JSONObject` `getChartData()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getChartData

    protected abstract org.json.simple.JSONObject getChartData()
                                                        throws java.lang.Exception

Throws:
  `java.lang.Exception`